#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gstreamer-1.24.12

- Next

  gst-plugins-good-1.24.12

- Up
- Home

# gst-plugins-base-1.24.12

## Introduction to GStreamer Base Plug-ins

The GStreamer Base Plug-ins is a well-groomed and well-maintained collection of GStreamer plug-ins and elements, spanning the range of possible types of elements one would want to write for GStreamer. You will need at least one of Good, Bad, Ugly or Libav plugins for GStreamer applications to function properly.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-1.24.12.tar.xz

- Download MD5 sum: af0d85f4dda9f750086516d834a17a8c

- Download size: 2.3 MB

- Estimated disk space required: 99 MB (with tests)

- Estimated build time: 0.7 SBU (Using parallelism=4; with tests)

### GStreamer Base Plug-ins Dependencies

#### Required

gstreamer-1.24.12

#### Recommended

alsa-lib-1.2.13, CDParanoia-III-10.2 (for building the CDDA plugin), GLib-2.82.5 (with GObject Introspection), ISO Codes-4.17.0, libgudev-238, libjpeg-turbo-3.0.1, libogg-1.3.5, libpng-1.6.46, libvorbis-1.3.7, Mesa-24.3.4, Pango-1.56.1, wayland-protocols-1.40, and Xorg Libraries

#### Optional

graphene-1.10.8, GTK-3.24.48 (for examples), Opus-1.5.2, SDL2-2.30.11, Valgrind-3.24.0, hotdoc, libtheora, libvisual, Orc, and Tremor

## Installation of GStreamer Base Plug-ins

### Note

If you need a plugin for a given dependency, that dependency needs to be installed before this package.

Install GStreamer Base Plug-ins by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..               \
          --prefix=/usr          \
          --buildtype=release    \
          --wrap-mode=nodownload &&
    ninja

To test the results, issue: ninja test. The tests require an X terminal running, or all of the GL tests will fail. Five tests may produce timeouts on some systems depending on their graphics hardware and speed. One test, `elements_appsrc`, is known to fail on some systems.

### Note

When installing, the build process does some additional linking. If you do not have Xorg in /usr, the LIBRARY_PATH variable needs to be defined for the root user. If using sudo to assume root, use the -E option to pass your current environment variables for the install process.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`--wrap-mode=nodownload`: This switch prevents meson from downloading any optional dependency which is not installed on the system.

## Contents

Installed Programs: gst-device-monitor-1.0, gst-discoverer-1.0, and gst-play-1.0
Installed Libraries: libgstallocators-1.0.so, libgstapp-1.0.so, libgstaudio-1.0.so, libgstfft-1.0.so, libgstgl-1.0.so, libgstpbutils-1.0.so, libgstriff-1.0.so, libgstrtp-1.0.so, libgstrtsp-1.0.so, libgstsdp-1.0.so, libgsttag-1.0.so, libgstvideo-1.0.so, and several plugins under /usr/lib/gstreamer-1.0
Installed Directories: /usr/include/gstreamer-1.0/gst/{allocators,app,audio,fft,gl,pbutils}, /usr/include/gstreamer-1.0/gst/{riff,rtp,rtsp,sdp,tag,video}, and /usr/share/gst-plugins-base

### Short Descriptions

gst-device-monitor-1.0 | is a command line tool that can be used to test GStreamer's device monitoring functionality
gst-discoverer-1.0 | is a tool that can be used to print basic metadata and stream information about a media file
gst-play-1.0 | is a command line tool that can be used to test basic playback using the playbin element

- Prev

  gstreamer-1.24.12

- Next

  gst-plugins-good-1.24.12

- Up
- Home